Product Bundle Groups
Get Bundle Group
Retrieves a single product bundle group including all associated bundles, markets, translations, and compliance status.
GET
/
api
/
v1
/
{team_slug}
/
{app_slug}
/
bundle-groups
/
{bundle_group_id}
Error
A valid request URL is required to generate request examples{
"data": {
"bundles": [
{
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"compliant": {
"info": [
"<string>"
]
},
"created_at": "<string>",
"discount_percentage": 123,
"discount_type": "<string>",
"discounts": {},
"id": "<string>",
"rules": [
{
"bundle_id": "<string>",
"discount_percentage": 123,
"discount_type": "<string>",
"discounts": {},
"exclude_discounted_price": true,
"exclude_full_price": true,
"id": "<string>",
"items": [
{
"description": "<string>",
"id": "<string>",
"image_urls": [
"<string>"
],
"product_name": "<string>",
"product_number": "<string>",
"slug": "<string>"
}
],
"quantity": 123,
"tag_conditions": {
"brands": {
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"categories": {
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"collections": {
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"series": {
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"tags": {
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
}
],
"status": "<string>",
"updated_at": "<string>"
}
],
"compliance": {
"info": [
"<string>"
]
},
"created_at": "<string>",
"description": "<string>",
"end_date": "<string>",
"id": "<string>",
"markets": [
{
"active": true,
"country_codes": [
"<string>"
],
"created_at": "<string>",
"currency_code": "<string>",
"id": "<string>",
"locale": "<string>",
"name": "<string>",
"slug": "<string>",
"store_group_id": "<string>",
"store_group_slug": "<string>",
"updated_at": "<string>"
}
],
"name": "<string>",
"start_date": "<string>",
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>"
},
"details": [
"<string>"
],
"success": true
}Path Parameters
App slug
Team slug
Product bundle group UUID
Query Parameters
Search on bundle name
Previous
Delete Bundle GroupPermanently deletes a product bundle group and all its associated bundles. Triggers a deletion sync event to remove the bundle group from downstream systems.
Next
⌘I
Error
A valid request URL is required to generate request examples{
"data": {
"bundles": [
{
"attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"compliant": {
"info": [
"<string>"
]
},
"created_at": "<string>",
"discount_percentage": 123,
"discount_type": "<string>",
"discounts": {},
"id": "<string>",
"rules": [
{
"bundle_id": "<string>",
"discount_percentage": 123,
"discount_type": "<string>",
"discounts": {},
"exclude_discounted_price": true,
"exclude_full_price": true,
"id": "<string>",
"items": [
{
"description": "<string>",
"id": "<string>",
"image_urls": [
"<string>"
],
"product_name": "<string>",
"product_number": "<string>",
"slug": "<string>"
}
],
"quantity": 123,
"tag_conditions": {
"brands": {
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"categories": {
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"collections": {
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"series": {
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"tags": {
"values": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
}
],
"status": "<string>",
"updated_at": "<string>"
}
],
"compliance": {
"info": [
"<string>"
]
},
"created_at": "<string>",
"description": "<string>",
"end_date": "<string>",
"id": "<string>",
"markets": [
{
"active": true,
"country_codes": [
"<string>"
],
"created_at": "<string>",
"currency_code": "<string>",
"id": "<string>",
"locale": "<string>",
"name": "<string>",
"slug": "<string>",
"store_group_id": "<string>",
"store_group_slug": "<string>",
"updated_at": "<string>"
}
],
"name": "<string>",
"start_date": "<string>",
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>"
},
"details": [
"<string>"
],
"success": true
}